<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscFree3</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscFree3"><H1>PetscFree3</H1></A>
Frees 3 chunks of memory obtained with <A HREF="../Sys/PetscMalloc3.html#PetscMalloc3">PetscMalloc3</A>() 
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>memory1 </B></TD><TD>- memory to free
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>memory2 </B></TD><TD>- 2nd memory to free
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>memory3 </B></TD><TD>- 3rd memory to free
</TD></TR></TABLE>
<P>
<P>
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
PetscErrorCode PetscFree3(void *memory1,void *memory2,void *memory3)
</PRE>

<P>
Notes: Memory must have been obtained with <A HREF="../Sys/PetscMalloc3.html#PetscMalloc3">PetscMalloc3</A>()
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscNew.html#PetscNew">PetscNew</A>(), <A HREF="../Sys/PetscMalloc.html#PetscMalloc">PetscMalloc</A>(), <A HREF="../Sys/PetscMalloc2.html#PetscMalloc2">PetscMalloc2</A>(), <A HREF="../Sys/PetscFree.html#PetscFree">PetscFree</A>(), <A HREF="../Sys/PetscMalloc3.html#PetscMalloc3">PetscMalloc3</A>()
<BR>
<P>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../include/petsc.h.html#PetscFree3">include/petsc.h</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
